"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x106106a60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x106106af0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106106b80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106106c10>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x106106ca0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x106106d30>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106106dc0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106106e50>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106106ee0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106106f70>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x106109040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1061090d0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x106109160>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1061091f0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x106109280>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x106109310>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1061093a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x106109430>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1061094c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x106109550>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1061095e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x106109670>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x106109700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x106109790>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1061098b0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x106109820>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x106109940>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1061099d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x106109a60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x106109af0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x106109b80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x106109c10>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x106109ca0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x106109d30>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x106109dc0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x106109e50>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x106109ee0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x106109f70>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10610d040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10610d0d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10610d160>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10610d1f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10610d280>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10610d310>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10610d3a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10610d430>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10610d4c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10610d550>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10610d5e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10610d670>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10610d700>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10610d790>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10610d820>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10610d8b0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10610d940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10610d9d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10610da60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10610daf0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10610db80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10610dc10>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10610dca0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10610dd30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10610ddc0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10610de50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10610dee0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1061100d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10610df70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x106110160>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1061101f0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106110280>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x106110310>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1061103a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1061104c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x106110430>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x106110550>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1061105e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x106110670>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x106110790>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x106110700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x106110820>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1061108b0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x106110940>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1061109d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x106110a60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x106110af0>)]
name: str = 'fr_HOCCN'
